Bug 161278 - PCMCIA Sandisk Compact Flash card reader doesn't automount
PCMCIA Sandisk Compact Flash card reader doesn't automount
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 18:59 EDT by stephen
Modified: 2013-03-13 00:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 23:13:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stephen 2005-06-21 18:59:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I put my compact flash camera card (Sandisk Ultra II) in my Sandisk Ultra PC Card Adapter (16 bit) in my PCMCIA slot, it doesn't automount.  I can mount it as an Administrator.  In FC3, it would automount most of the time without issues.  FC3 mounts as /media/idedisk I believe

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Put the memory reader in the pcmcia slot
2.
3.
  

Actual Results:  Nothing occurs

Expected Results:  System detects new filesystem, mounts in the /media directory, puts a shortcut on the desktop.

Additional info:
Comment 1 Jeffrey Moyer 2005-06-22 10:04:52 EDT
This is not handled by autofs.  It is handled by hal.  I'll reassign, in case
this is an actual regression.  But you should be able to modify your hal
configuration to include your pcmcia card.
Comment 2 David Hill 2005-08-06 12:42:48 EDT
I recently updated to 2.6.12-1.1372_FC3 and the hal mount of my sandisk pcmcia
SD card reader stopped working. It continues to work fine when I boot
2.6.11-1.35_FC3.

Under the 1.1372 kernel I see messages in /var/log/messages that seen to
indicate that the action was triggered but I don't get a mount. When I manually
issue the mount (that is in fstab), it says it cant find the device. There is a
/dev/hde1 in /dev. Seems like something odd changed in the kernel between releases.
Comment 3 David Hill 2005-08-07 09:22:48 EDT
adding to my previous comment.... here is what came out of /var/log/messages

Aug  7 09:19:04 ddhill kernel: cs: memory probe 0xa0000000-0xa0ffffff: excluding
0xa0000000-0xa00fffff
Aug  7 09:19:04 ddhill cardmgr[3172]: socket 0: ATA/IDE Fixed Disk
Aug  7 09:19:05 ddhill kernel: hde: Memory Card Adapter, CFA DISK drive
Aug  7 09:19:05 ddhill kernel: ide2 at 0x100-0x107,0x10e on irq 3
Aug  7 09:19:05 ddhill kernel: hde: max request size: 128KiB
Aug  7 09:19:05 ddhill kernel: hde: 246016 sectors (125 MB) w/1KiB Cache,
CHS=961/8/32
Aug  7 09:19:05 ddhill kernel: hde: cache flushes not supported
Aug  7 09:19:05 ddhill kernel:  hde: hde1
Aug  7 09:19:05 ddhill kernel: ide-cs: hde: Vcc = 3.3, Vpp = 0.0
Aug  7 09:19:06 ddhill kernel:  hde: hde1
Aug  7 09:19:11 ddhill fstab-sync[5536]: added mount point /media/idedisk for
/dev/hde1
Aug  7 09:19:11 ddhill kernel:  hde: hde1

the mount point /media/idedisk is in place, the fstab entry is in place. If I
try a manual mount I get:

sudo mount /media/idedisk/
mount: special device /dev/hde1 does not exist
file /dev/hde1
/dev/hde1: block special (33/1)
Comment 4 David Hill 2005-08-29 14:33:11 EDT
still a problem with 2.6.12-1.1376

I tried removing & MAKEDEV hde, did not help.
Comment 5 stephen 2005-09-11 00:42:11 EDT
I have been trying a few things over the last little while.  Using
Gnome panel's disk mounter can help.

If I install FC4 with my Lexar Cardbus CF reader and Sandisk 16-bit CF
reader in my slots, I will be able to mount them via the disk mounter
only on the first bootup. The Lexar does not automatically appear in
fstab; however the Sandisk does.  I would just copy and alter the dev
name and mount location and voila.

The fstab line is like a CD or floppy drive.

/dev/hdc  /media/cdrecorder   auto    pamconsole,exec,noauto,managed 0 0

However, after the computer is rebooted, it does not appear in fstab again.
Even the one I typed in is deleted.  The Sandisk does not come back either.

One can hardcode it as vfat and special other options, but that defeats the
purpose of hotswap and plug'n'play.  Any why does the Lexar card reader only
work after first bootup and never again, updates or no updates?

Comment 6 stephen 2006-03-23 23:13:55 EST
The 16 bit Sandisk started auto mounting after I upgraded to Gnome 2.14 from
www.nrpms.net and other updates from FC4 project.

Lexar still only works w/ the original kernel (which is the only was compiled w/
the driver in it or in a module).

Note You need to log in before you can comment on or make changes to this bug.